import { Pipe, PipeTransform } from '@angular/core';
import { User } from '../user-management/user-management.model';
@Pipe({
  name: 'filterEmail',
})
export class FilterEmailPipe implements PipeTransform {
  transform(value: User[], searchValue: string): any {
    if (!searchValue) return value;
    return value.filter(v => v.email!.toLowerCase().indexOf(searchValue.toLowerCase()) > -1);
  }
}
